> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询扣款订单详情

> 查询扣款订单详情

## 概述

本页说明 `GET /open/institution/v1/deduction/order/detail` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 本页展示同一接口的机构路径版本。
* 除创建子账户、查询子账户详情、分页查询子账户外，机构侧请求需携带 `X-GatePay-On-Behalf-Of`。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。


## OpenAPI

````yaml api-reference/version/100/cn/openapi/institution/subscription/deductionOrderDetail-openapi.json GET /open/institution/v1/deduction/order/detail
openapi: 3.1.0
info:
  title: GatePay 机构订阅 API
  description: GatePay 支付平台 API 接口文档
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io/pay-subscription
security: []
paths:
  /open/institution/v1/deduction/order/detail:
    get:
      summary: 查询扣款订单详情
      description: 查询扣款订单详情
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - $ref: '#/components/parameters/X-GatePay-On-Behalf-Of'
        - $ref: '#/components/parameters/deductionDetail_paymentOrderNo'
        - $ref: '#/components/parameters/deductionDetail_merchantDeductNo'
      responses:
        '200':
          description: 查询扣款订单详情成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSubscriptionPlanResponse'
              examples:
                successResponse:
                  summary: 成功响应
                  value:
                    code: '0'
                    message: ''
                    data:
                      subscriptionOrderNo: '70778338049917032'
                      merchantSubscriptionOrderNo: rhys-81
                      planNo: '70778338049916930'
                      paymentOrderNo: '70778338049917033'
                      txHash: >-
                        0x658d3a403a4d6879dfd94229270a13e04249b50020ead15f6b7dceeb11286aee
                      merchantId: '10002'
                      cryptoCurrency: USDT
                      chain: BSC
                      userAddress: '0xbe6D780C23E77D979Fad5FbEa249a44E5cAC0463'
                      merchantAddress: '0xeEfAe46E6551E54879C80C16882f745c25361473'
                      cryptoAmount: '0.01000000'
                      isDiscounted: false
                      authorizeWalletAddress: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb0'
                      merchantDeductNo: ''
                      description: null
                      errMsg: ''
                      payTime: 1773989575000
                      payStatus: SUCCESS
                      totalFeeAmount: '0'
                      totalSettleAmount: ''
                      payDetails: []
                    success: true
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户客户端ID，在 GatePay 平台申请获得
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: HMAC-SHA256签名，用于验证请求合法性
      schema:
        type: string
        example: >-
          672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 时间戳（毫秒），与服务器时间差不能超过5分钟
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机数，用于防止重放攻击
      schema:
        type: string
        example: '9578'
    X-GatePay-On-Behalf-Of:
      name: X-GatePay-On-Behalf-Of
      in: header
      required: true
      schema:
        type: string
      description: >-
        必填代理归属请求头。请填写本次请求的发起方账户 ID；在机构代理商户 API 中通常填写目标子账户 ID，在机构代扣与划转接口中可填写机构账户
        ID 或子账户 ID。
    deductionDetail_paymentOrderNo:
      name: paymentOrderNo
      in: query
      required: false
      description: ' 发起订阅扣款的订单号 paymentOrderNo 与 merchantDeductNo 至少填一个'
      schema:
        type: string
    deductionDetail_merchantDeductNo:
      name: merchantDeductNo
      in: query
      required: false
      description: 商户扣款单号（与 paymentOrderNo 任选一个） paymentOrderNo 与 merchantDeductNo 至少填一个
      schema:
        type: string
  schemas:
    CreateSubscriptionPlanResponse:
      type: object
      properties:
        code:
          type: string
          description: 响应码，0 表示成功
          example: '0'
        message:
          type: string
          description: 响应描述，成功时为空
          example: ''
        success:
          type: boolean
          description: 请求是否成功
          example: true
        data:
          type: object
          description: 响应数据
          properties:
            subscriptionOrderNo:
              type: string
              description: 订阅订单编号
            merchantSubscriptionOrderNo:
              type: string
              description: 商户订阅订单编号
            planNo:
              type: string
              description: 订阅计划编号
            paymentOrderNo:
              type: string
              description: 发起订阅扣款的订单号
            txHash:
              type: string
              description: 链上交易ID
            merchantId:
              type: string
              description: 创建订阅计划的商户编号
            cryptoCurrency:
              type: string
              description: 加密货币币种
            chain:
              type: string
              description: 加密货币网络
            userAddress:
              type: string
              description: 用户付款链上地址
            merchantAddress:
              type: string
              description: 平台接收扣款的地址
            cryptoAmount:
              type: string
              description: 单次扣款金额
            isDiscounted:
              type: boolean
              description: 是否为特价扣款
            authorizeWalletAddress:
              type: string
              description: 授权合约地址
            merchantDeductNo:
              type: string
              description: 商户扣款订单号
            description:
              type: string
              description: 扣款描述
            errMsg:
              type: string
              description: 失败原因；失败时返回，成功时通常为空
            payTime:
              type: integer
              format: int64
              description: 创建扣款订单的时间
            payStatus:
              type: string
              description: 扣款状态：SUCCESS/FAIL/BLOCK
            totalFeeAmount:
              type: string
              description: 累计已收取的手续费。若支付流水未结算、未支付或仅为中心化支付等场景，可能为空或为 0
            totalSettleAmount:
              type: string
              description: 累计已结算金额。若支付流水未结算等场景，可能为空
            payDetails:
              type: array
              description: 支付信息
              items:
                $ref: '#/components/schemas/OrderQueryPayDetail'
    OrderQueryPayDetail:
      type: object
      description: 支付流水中单笔支付的手续费与结算信息（payDetail）。
      properties:
        transactionId:
          type: string
          description: 支付流水号
        payType:
          type: string
          description: 支付类型：`GatePay` Gate 支付，`Web3Pay` Web3 支付
        payTime:
          type: string
          description: 支付时间
        payAmount:
          type: string
          description: 支付金额
        payCurrency:
          type: string
          description: 支付币种
        feeAmount:
          type: string
          description: 手续费
        settleAmount:
          type: string
          description: 结算金额
        settlementStatus:
          type: string
          description: 结算状态：`pending` 未结算，`done` 已结算

````